|  | Home · All Classes · Modules

# QStyle.SubControls Class Reference
[QtGui module]

### Methods

- __init__ (self, SubControls)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- SubControls __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, SubControls f)
- SubControls __iand__ (self, int mask)
- int __int__ (self)
- SubControls __invert__ (self)
- SubControls __ior__ (self, SubControls f)
- SubControls __ixor__ (self, SubControls f)
- bool __ne__ (self, SubControls f)
- SubControls __or__ (self, SubControls f)
- SubControls __or__ (self, int f)
- SubControls __xor__ (self, SubControls f)
- SubControls __xor__ (self, int f)

## Detailed Description

SubControl may be used whenever SubControls is expected.

## Method Documentation

### SubControls.__init__ (self, SubControls)

### SubControls.__init__ (self, int)

### SubControls.__init__ (self)

### SubControls SubControls.__and__ (self, int mask)

### int SubControls.__bool__ (self)

### bool SubControls.__eq__ (self, SubControls f)

### SubControls SubControls.__iand__ (self, int mask)

### int SubControls.__int__ (self)

### SubControls SubControls.__invert__ (self)

### SubControls SubControls.__ior__ (self, SubControls f)

### SubControls SubControls.__ixor__ (self, SubControls f)

### bool SubControls.__ne__ (self, SubControls f)

### SubControls SubControls.__or__ (self, SubControls f)

### SubControls SubControls.__or__ (self, int f)

### SubControls SubControls.__xor__ (self, SubControls f)

### SubControls SubControls.__xor__ (self, int f)